Index: PostgreSqlDotnetCore/Models/ApplicationDbContext.cs
===================================================================
--- PostgreSqlDotnetCore/Models/ApplicationDbContext.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,11 +1,0 @@
-﻿// File: Models/ActiveProductsView.cs
-
-namespace PostgreSqlDotnetCore.Models
-{
-    public class ActiveProductsView
-    {
-        public string Name { get; set; }
-        public string Description { get; set; }
-        public decimal Price { get; set; }
-    }
-}
Index: PostgreSqlDotnetCore/Models/BlogPostAnswers.cs
===================================================================
--- PostgreSqlDotnetCore/Models/BlogPostAnswers.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/BlogPostAnswers.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -12,14 +12,6 @@
         public int parent_id { get; set; }
         public string reply { get; set; }
-
-        [ForeignKey("BlogPostConsultation")]
-        [Column("blogpostconsid")]
-        public int BlogPostConsultationid { get; set; }
-        public BlogPostConsultation BlogPostConsultation { get; set; }
-
+        public int? blogpostconsultationid { get; set; }
         public int usersid { get; set; }
-
-        [NotMapped]
-        public List<BlogPostAnswers> blogPostAnswers{ get; set; }
     }
 }
Index: PostgreSqlDotnetCore/Models/BlogPostConsultation.cs
===================================================================
--- PostgreSqlDotnetCore/Models/BlogPostConsultation.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/BlogPostConsultation.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -15,6 +15,6 @@
         //public DateTime date_askes { get; set; }
         //public DateTime date_askes { get; set; } = DateTime.UtcNow.Date;
-        public DateOnly date_askes { get; set; } = DateOnly.FromDateTime(DateTime.Now);
-        
+        public DateOnly date_askes { get; set; } = DateOnly.FromDateTime(DateTime.UtcNow);
+
         public string title { get; set; }
        
Index: PostgreSqlDotnetCore/Models/BlogUsers.cs
===================================================================
--- PostgreSqlDotnetCore/Models/BlogUsers.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿// File: Models/VetCenterWithCity.cs
-
-namespace PostgreSqlDotnetCore.Models
-{
-    public class BlogUsers
-    {
-        public int id { get; set; }
-        public int users_id { get; set; }
-        public string user_name { get; set; }
-        public string user_lastname { get; set; }
-        public string user_email { get; set; } // Додајте име на градот
-        public string consultation_title { get; set; }
-        public string consultation_description { get; set; }
-        public DateOnly consultation_date { get; set; }
-
-    }
-}
Index: PostgreSqlDotnetCore/Models/PetDetailsProcedure.cs
===================================================================
--- PostgreSqlDotnetCore/Models/PetDetailsProcedure.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,16 +1,0 @@
-﻿namespace PostgreSqlDotnetCore.Models
-{
-    using System.ComponentModel.DataAnnotations;
-
-    public class PetDetailsProcedure
-    {
-        [Key]
-        public int pet_id { get; set; }
-        public string pet_name { get; set; }
-        public string diagnosis_description { get; set; }
-        public string medicine_name { get; set; }
-        public string medicine_description { get; set; }
-        public string therapy_description { get; set; }
-        public DateTime therapy_date { get; set; }
-    }
-}
Index: PostgreSqlDotnetCore/Models/Pet_CaresClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/Pet_CaresClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/Pet_CaresClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,18 +19,4 @@
         public string description { get; set; }
         public DateTime dateending { get; set; }
-
-        public DateTime start_date { get; set; }
-
-        [ForeignKey("PetsClass")]
-        [Column("pet_id")]
-        public int pet_id { get; set; }
-        public PetsClass PetsClass { get; set; }
-
-
-        public void SetDatesToUtc()
-        {
-            dateending = DateTime.SpecifyKind(dateending, DateTimeKind.Utc);
-            start_date = DateTime.SpecifyKind(start_date, DateTimeKind.Utc);
-        }
         public int usersid { get; set; }
         public int vetcentersid { get; set; }
Index: PostgreSqlDotnetCore/Models/Pet_care_appointments.cs
===================================================================
--- PostgreSqlDotnetCore/Models/Pet_care_appointments.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿// File: Models/VetCenterWithCity.cs
-
-namespace PostgreSqlDotnetCore.Models
-{
-    public class Pet_care_appointments
-    {
-        public int id { get; set; }
-        public string user_name { get; set; }
-        public string vet_center_name { get; set; }
-        public string user_lastname { get; set; }
-        public PetsClass PetsClass { get; set; }
-        public string pet_care_title { get; set; } 
-        public DateTime starttt_date { get; set; }
-        public DateTime appointment_date { get; set; }
-      
-    }
-}
Index: PostgreSqlDotnetCore/Models/PetsClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/PetsClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/PetsClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -16,6 +16,4 @@
         public string color { get; set; }
 
-        public string name { get; set; }
-
         public string description { get; set; }
        // public DateTime dateofbirthday { get; set; }
Index: PostgreSqlDotnetCore/Models/ProductsClass.cs
===================================================================
--- PostgreSqlDotnetCore/Models/ProductsClass.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/ProductsClass.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,11 +19,7 @@
         public string price { get; set; }
         public bool isactive { get; set; }
-        //public DateTime dateadded { get; set; }
-
-        public DateOnly dateadded { get; set; } = DateOnly.FromDateTime(DateTime.UtcNow);
+        public DateTime dateadded { get; set; }
         public string category { get; set; }
-
-        public int  available_quantity { get; set; }
-
+        
 
     }
Index: PostgreSqlDotnetCore/Models/VetCenter.cs
===================================================================
--- PostgreSqlDotnetCore/Models/VetCenter.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Models/VetCenter.cs	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -9,8 +9,8 @@
 namespace PostgreSqlDotnetCore.Models
 {
-    [Table("vet_centers_with_city", Schema = "project")]
+    [Table("vet_centers", Schema = "project")]
     public class VetCenter
     {
-       // [Key]
+        [Key]
         public int id { get; set; }
 
@@ -24,7 +24,5 @@
         public float longitude { get; set; }
         public string phonenumber { get; set; }
-       // [ForeignKey("CitiesClass")]
         public int citiesid { get; set; }
-       // public CitiesClass CitiesClass { get; set; }
 
 
Index: PostgreSqlDotnetCore/Models/VetCenterWithCity.cs
===================================================================
--- PostgreSqlDotnetCore/Models/VetCenterWithCity.cs	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿// File: Models/VetCenterWithCity.cs
-
-namespace PostgreSqlDotnetCore.Models
-{
-    public class VetCenterWithCity
-    {
-        public int id { get; set; }
-        public string vet_center_name { get; set; }
-        public string adress { get; set; }
-        public string city_name { get; set; } // Додајте име на градот
-        public string description { get; set; }
-        public string workinghours { get; set; }
-        public float latitude { get; set; }
-        public float longitude { get; set; }
-        public string phonenumber { get; set; }
-    }
-}
